"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const src_1 = require("../../src");
// Audio code generator
const MAX_NUMBER_LENGTH = 4;
const path = "../../..";
const generateNumber = (min, max) => { return Math.floor(Math.random() * (max - min) + min); };
const audioMixer = new src_1.AudioMixer({ sampleRate: 48000, bitDepth: 16, channels: 1 });
const outputFile = (0, fs_1.createWriteStream)("./code.pcm");
audioMixer.pipe(outputFile);
function generateAudioNumber(maxNumberLength, currentNumber) {
    if (maxNumberLength === currentNumber) {
        audioMixer.close();
        return;
    }
    ;
    const generatedNumber = generateNumber(1, 9);
    const loadNumberFile = (0, fs_1.createReadStream)(`${path}/sounds/count/${generatedNumber}.pcm`);
    const audioInput = audioMixer.createAudioInput({
        sampleRate: 48000,
        bitDepth: 16,
        channels: 1
    });
    loadNumberFile.pipe(audioInput);
    audioMixer.once("removeInput", () => { generateAudioNumber(maxNumberLength, currentNumber + 1); });
}
generateAudioNumber(MAX_NUMBER_LENGTH, 0);
