"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const src_1 = require("../../src");
// Modifying audio parameters through the audio mixer
const path = "../../..";
const writeFile = (0, fs_1.createWriteStream)("./audio.pcm");
const mixer = new src_1.AudioMixer({ sampleRate: 48000, bitDepth: 24, channels: 2, autoClose: true });
const loadCampfireFile = (0, fs_1.createReadStream)(`${path}/sounds/nature/campfire.pcm`);
const inputCampfire = mixer.createAudioInput({ sampleRate: 44100, bitDepth: 16, channels: 1 });
mixer.pipe(writeFile);
loadCampfireFile.pipe(inputCampfire);
