"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const src_1 = require("../../src");
// Mix two sounds
const path = "../../..";
const writeFile = (0, fs_1.createWriteStream)("./mixed.pcm");
const mixer = new src_1.AudioMixer({ sampleRate: 48000, bitDepth: 16, channels: 1, volume: 80, autoClose: true });
const loadNatureFile = (0, fs_1.createReadStream)(`${path}/sounds/nature/nature.pcm`);
const loadCampfireFile = (0, fs_1.createReadStream)(`${path}/sounds/nature/campfire.pcm`);
const inputNature = mixer.createAudioInput({ sampleRate: 44100, bitDepth: 16, channels: 1 });
const inputCampfire = mixer.createAudioInput({ sampleRate: 44100, bitDepth: 16, channels: 1, volume: 60 });
mixer.pipe(writeFile);
loadNatureFile.pipe(inputNature);
loadCampfireFile.pipe(inputCampfire);
